All users were logged out of Bugzilla on October 13th, 2018

Set up and run compatibility bump for Thunderbird 5.0 to 6.0

RESOLVED FIXED

Status

P1
major
RESOLVED FIXED
7 years ago
3 years ago

People

(Reporter: standard8, Assigned: sancus)

Tracking

Details

We need to run a compatibility bump for all Thunderbird add-ons from version 5 to 6. Pretty much the same rules for Firefox apply to Thunderbird.

I think in most cases we shouldn't be bumping an extension's compatibility for Thunderbird if Firefox didn't bump it for 5 -> 6.

AFAICT the interfaces that changed in Thunderbird that could affect an extension's compatibility are:

nsIImapMailFolderSink setUrlState
nsIImapProtocol NotifyHdrsToDownload

both of these were from bug 464126. setUrlState was modified, NotifyHdrsToDownload was removed. Although I suspect no/few extensions use these interfaces, but I think we should add them anyway.

We need this ASAP and definitely before the next release on or around 16th August.

Updated

7 years ago
Depends on: 678725
(Assignee)

Updated

7 years ago
No longer depends on: 678725
(Assignee)

Comment 1

7 years ago
This is really done.
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → FIXED
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.